Table of Contents

## Name

im_rint - for each pixel, find the nearest integral value

## Synopsis

#include <vips/vips.h>

int im_rint( in, out )
IMAGE *in, *out;

## Description

im_rint(3) finds the nearest integral value. Copy for integer types, call rint(3) for float and complex types. Output type == input type.

## Return Value

The function returns 0 on success and -1 on error.

## See Also

im_abs(3) , im_clip2fmt(3) , im_floor(3)

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also